#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%define	pdir	Net
%define	pnam	Arping
Summary:	Net::Arping - Ping remote host by ARP packets
Summary(pl.UTF-8):	Net::Arping - Pingowanie zdalnego hosta przy użyciu pakietów ARP
Name:		perl-Net-Arping
%define	ver	0.03_01
Version:	%(echo %{ver} | tr _ .)
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RA/RADEK/%{pdir}-%{pnam}-%{ver}.tar.gz
# Source0-md5:	bea5ef9991229c45d483e841281aa125
URL:		https://metacpan.org/release/Net-Arping
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The module contains function for testing remote host reachability by
sending ARP packets.

The program must be run as root or be setuid to root.

%description -l pl.UTF-8
Ten moduł zawiera funkcję do sprawdzania dostępności zdalnego hosta
poprzez wysyłanie pakietów ARP.

Program musi być uruchamiany przez roota lub mieć ustawiony suid root.

%prep
%setup -q -n %{pdir}-%{pnam}-%{ver}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Net/Arping.pm
%dir %{perl_vendorarch}/auto/Net/Arping
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Arping/Arping.so
%{_mandir}/man3/Net::Arping.3pm*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-Arping.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 0e355ad
- rebuild with perl 5.32

* Sun May 24 2020 Jakub Bogusz <qboosh@pld-linux.org> a04b993
- release 2 (rebuild with libnet 1.2)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 5da5d98
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 13684ec
- up to 0.03.01

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> fca17e1
- rebuild with perl 5.28.0
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0ec5957
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 58f80ca
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 85b43b9
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 146ccc3
- release 10 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> e4343d3
- x32 rebuild
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 12c795a
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 53da571
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Fri Apr 20 2012 Jan Rękorajski <baggins@pld-linux.org> b07d562
- release 6

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 76c83bb
- rel 5

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 7fb86fc
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0cd2f97
- release 3

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> 0a45391
- release 2

* Tue Nov 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 9e75c78
- let URL point to module summary
- pl

* Tue Nov 04 2008 radek <radek@pld-linux.org> 2e6270e
- merged upstream

* Tue Nov 04 2008 radek <radek@pld-linux.org> 1c85ae7
- version 0.03

